Bug 320601 - reactivating on the same eth device during activation kills dhclient prematurely
Summary: reactivating on the same eth device during activation kills dhclient prematurely
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-05 18:18 UTC by Dan Williams
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 21:20:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Williams 2007-10-05 18:18:28 UTC
NetworkManager: <info>  Activation (eth1) Stage 5 of 5 (IP Configure Commit)
complete.
NetworkManager: <info>  Deactivating device eth1.
NetworkManager: <info>  eth1: canceled DHCP transaction, dhclient pid 28109
NetworkManager: <info>  Activating device eth0
NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure)
scheduled...
NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure)
starting...
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure)
successful.
NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start)
scheduled.
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start)
started...
NetworkManager: <info>  Activation (eth0) Beginning DHCP transaction.
NetworkManager: <info>  dhclient started with pid 30375
NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start)
complete.
Internet Systems Consortium DHCP Client V3.0.5-RedHat
Copyright 2004-2006 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/
NetworkManager: <info>  DHCP: device eth0 state changed normal exit -> preinit
Listening on LPF/eth0/00:16:41:13:a4:25
Sending on   LPF/eth0/00:16:41:13:a4:25
Sending on   Socket/fallback
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 8
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 17
NetworkManager: <info>  User request for activation of eth0.
NetworkManager: <info>  Activating device eth0
NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure)
scheduled...
NetworkManager: <info>  Activation (eth0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure)
starting...
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure)
successful.
NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start)
scheduled.
NetworkManager: <info>  Activation (eth0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start)
started...
NetworkManager: <info>  Activation (eth0) Beginning DHCP transaction.
NetworkManager: <info>  dhclient started with pid 30378
NetworkManager: <info>  Activation (eth0) Stage 3 of 5 (IP Configure Start)
complete.
Internet Systems Consortium DHCP Client V3.0.5-RedHat
Copyright 2004-2006 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/
Listening on LPF/eth0/00:16:41:13:a4:25
Sending on   LPF/eth0/00:16:41:13:a4:25
Sending on   Socket/fallback
DHCPDISCOVER on eth0 to 255.255.255.255 port 67 interval 4
DHCPOFFER from 192.168.1.1
DHCPREQUEST on eth0 to 255.255.255.255 port 67
DHCPACK from 192.168.1.1
bound to 192.168.1.100 -- renewal in 37366 seconds.
NetworkManager: <info>  DHCP: device eth0 state changed preinit -> bound
NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP Configure Get)
scheduled...
NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP Configure Get) started...
NetworkManager: <info>    address 192.168.1.100
NetworkManager: <info>    netmask 255.255.255.0
NetworkManager: <info>    broadcast 192.168.1.255
NetworkManager: <info>    gateway 192.168.1.1
NetworkManager: <info>    nameserver '192.168.1.1'
NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit)
scheduled...
NetworkManager: <info>  Activation (eth0) Stage 4 of 5 (IP Configure Get) complete.
NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit)
started...
NetworkManager: <info>  Activation (eth0) successful, device activated.
NetworkManager: <info>  Activation (eth0) Stage 5 of 5 (IP Configure Commit)
complete.
NetworkManager: <info>  Device 'eth0' DHCP transaction took too long (>45s),
stopping it.
NetworkManager: <info>  eth0: canceled DHCP transaction, dhclient pid 30378

Comment 1 Dan Williams 2007-10-09 21:20:26 UTC
fixed


Note You need to log in before you can comment on or make changes to this bug.